package com.ss.android.ugc.aweme.detail.api;

import X.4qn;
import X.FTS;
import X.IUt;
import X.JLw;
import X.PUt;
import com.bytedance.covode.number.Covode;

public final class CheckDuetReactPermissionApi {
    public static final String LIZ = "https://api-va.tiktokv.com";
    public static final FTS LIZIZ = new FTS((byte) 0);

    public interface CheckDuetReactPermissionRequest {
        static {
            Covode.recordClassIndex(63546);
        }

        @IUt(LIZ = "/aweme/v1/permission/check/")
        JLw<4qn> checkDuetReactPermission(@PUt(LIZ = "aweme_id") String str, @PUt(LIZ = "check_type") int i);
    }

    static {
        Covode.recordClassIndex(63545);
    }
}
